<?php
    /**
     *
     * copyright (c) 2013-2021 Heliac Technologies
     * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
     *
     * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
     */
     if($prodotto["categoria"]!=0) {
         $query        = "SELECT * FROM geec_categorie WHERE id={$prodotto["categoria"]}";
         $risCategoria = $geecomDb->eseguiQueryLettura($query); 
         $categoriaProdotto = $risCategoria->fetch_assoc();
     }
     else {
         $categoriaProdotto = null;
     }

     if($categoriaProdotto!=null && $categoriaProdotto["categoriaMadre"]!=0) {
         $query        = "SELECT * FROM geec_categorie WHERE id={$categoriaProdotto["categoriaMadre"]}";
         $risCategoria = $geecomDb->eseguiQueryLettura($query); 
         $categoriaMadre = $risCategoria->fetch_assoc();
     }
?>

<!-- Percorso -->
<div class="col-12">
    <nav>
        <ol class="breadcrumb rounded-0 mt-3">
            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
            <?php 
                if(isset($categoriaMadre)) {
                    $linkCategoriaMadre = GeneratoreUrl::creaUrlCategoria($categoriaMadre,$impostazioni["ottimizzazioneUrl"],$impostazioni["urlSito"]);
                    echo"<li class=\"breadcrumb-item\"><a href=\"{$linkCategoriaMadre}\">{$categoriaMadre["nome"]}</a></li>";
                }

                if($categoriaProdotto!=null) {
                    $linkCategoriaProdotto = GeneratoreUrl::creaUrlCategoria($categoriaProdotto,$impostazioni["ottimizzazioneUrl"],$impostazioni["urlSito"]);
            ?>
            <li class="breadcrumb-item"><a href="<?php echo $linkCategoriaProdotto; ?>"><?php echo $categoriaProdotto["nome"]; ?></a></li>
                <?php 
                    }
                ?>
            <li class="breadcrumb-item active"><?php echo $prodotto["nome"]; ?></li>
        </ol>
    </nav>
</div>